rte_swx_ctl_action_arg_info(3)

NAME
rte_swx_ctl_action_arg_info

SYNOPSIS

#include <rte_swx_ctl.h>

  Data Fields

char name [RTE_SWX_CTL_NAME_SIZE]
uint32_t n_bits
int is_network_byte_order

Detailed Description

Action argument info.

Definition at line 182 of file rte_swx_ctl.h.

Field Documentation

  char name[RTE_SWX_CTL_NAME_SIZE]
Action argument name.

Definition at line 184 of file rte_swx_ctl.h.

  uint32_t n_bits
Action argument size (in bits).

Definition at line 187 of file rte_swx_ctl.h.

  int is_network_byte_order
Non-zero (true) when this action argument must be stored in the table in network byte order (NBO), zero when it must be stored in host byte order (HBO).

Definition at line 193 of file rte_swx_ctl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.